Subject: Re: bug#62294: gnupg is pinned at 2.2.32 for bug that is fixed upstream

From: Leo Famulari <[email-masked]>
Date: Tue, 4 Apr 2023 12:23:39 -0400

On Tue, Apr 04, 2023 at 11:48:31AM +0200, Simon Tournier wrote:
> On Mon, 20 Mar 2023 at 09:01, Ethan Blanton via Bug reports for GNU Guix <[email-masked]> wrote:
> > I believe the pin on 2.2.32 can be lifted, but as gnupg is important
> > infrastructure I am unsure about directly submitting a patch to update
> > to a newer version.

Thanks for letting us know!

> Well, graft does not seem recommended because it would update to two
> versions.  And update the package would be a core-updates.
> 
> Well, maybe it could be of the current core-updates dance.  Could you
> send a patch for core-updates?

GnuPG does have a large number of dependent packages, but I'd argue
that's either 1) a bug or 2) something we should ignore and update
freely. It's a critical package, and did not used to have such a large
number of dependents. It's really a problem for the distro if we don't
allow ourselves to update packages like this freely.